<template>
  <div class="radioBox flex flex-middle">
    <div
      class="radioBox_item flex flex-middle"
      @click="change(1)">
      <div
        class="radioBox_item-check"
        :class="checked===1 ? 'checked' : ''"
      ></div>
      <div class="radioBox_item-label flex flex-middle">{{$t('common.all')}}
      </div>
    </div>
    <div
      class="radioBox_item flex flex-middle"
      @click="change(2)">
      <div
        class="radioBox_item-check"
        :class="checked===2 ? 'checked' : ''"></div>
      <div class="radioBox_item-label flex flex-middle">{{$t('common.my')}}
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    name: "RadioBox-horizontal",
    data() {
      return {
        checked: 1
      }
    },
    computed: {},
    methods: {
      change(val) {
        this.checked = val;
        this.$emit('change', this.checked === 1 ? this.$t('common.all') : this.$t('common.my'));
      }
    }
  }
</script>
